Page MenuHomePhabricator

Add data value type to Special:ListDatatypes
Closed, ResolvedPublic

Description

As a developer on or around Wikidata, I want to quickly see what data value type a data type corresponds to without checking the MediaWiki documentation.

Problem:
Special:ListDatatypes doesn’t list the data value type for each data type, it’s just more or less implied (data types which list the value’s members, like “Globe coordinate” and “Quantity”, can hardly use the string data value type, for example).

Acceptance criteria:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2018, 12:11 PM

(I noticed this while writing T209368#4781099.)

Addshore triaged this task as Low priority.Dec 19 2018, 12:41 PM

Change 503936 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Add data value type to Special:ListDatatypes

https://gerrit.wikimedia.org/r/503936

Should we localise the datavalues or we just use the same ids for all languages?

I think the untranslated data value type would be more useful for me as a developer… that said, I would usually look at that page in English anyways, and an untranslated data value type might look odd when the rest of the page is translated. So perhaps it should be translated after all?

hoo added a subscriber: hoo.Apr 15 2019, 5:20 PM

Maybe we want something like: translated type name (typeName)

(that way I hope it's clear that typeName is the technical term?)

Well it’s already “translated data type name (data value type)”. So a second level of parentheses would be “translated data type name (translated data value type name (data value type))”, I guess?

Change 503936 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add data value type to Special:ListDatatypes

https://gerrit.wikimedia.org/r/503936

I assume this is complete for now, but please see T210598#5110640 before closing.

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

I think we need to make this a bit easier to understand still. Currently if you don't know what you are looking at already you likely won't understand it.

Any suggestions for specific improvements?

One option: instead of appending it to the data type name we could add a line after the description of each datatype saying "The value type for this data type is foo." And rephrase the top message to say something like "This is a list of all data types and their value types available on this installation:" and then link value type to some documentation page if we have it?

Change 506144 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Add data value type to Special:ListDatatypes

https://gerrit.wikimedia.org/r/506144

New output

Is this ok?

Two notes:

  • The final period should not be inside the <code> (i. e. it should be “… is string.” and not “… is string.”)
  • I’m actually not sure if we prefer the phrase “data value type” or “value type”, does anyone know more?

I think data value type is clearer in my opinion.

I think we use value type in all other documentation. I fear data value type makes the distinction too fuzzy :/

OK thank you, I will change them.

Change 506144 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add data value type to Special:ListDatatypes

https://gerrit.wikimedia.org/r/506144